UpnpDiscovery.h File Reference

Header file for UpnpDiscovery methods. More...

`#include <stdlib.h>`
`#include "UpnpGlobal.h"`
`#include "UpnpInet.h"`
`#include "UpnpString.h"`
Include dependency graph for UpnpDiscovery.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Typedefs

typedef struct s_UpnpDiscovery | UpnpDiscovery

## Functions

UpnpDiscovery * | UpnpDiscovery_new ()
void | UpnpDiscovery_delete (UpnpDiscovery *p)
UpnpDiscovery * | UpnpDiscovery_dup (const UpnpDiscovery *p)
int | UpnpDiscovery_assign (UpnpDiscovery *p, const UpnpDiscovery *q)
int | UpnpDiscovery_get_ErrCode (const UpnpDiscovery *p)
int | UpnpDiscovery_set_ErrCode (UpnpDiscovery *p, int n)
int | UpnpDiscovery_get_Expires (const UpnpDiscovery *p)
int | UpnpDiscovery_set_Expires (UpnpDiscovery *p, int n)
const UpnpString * | UpnpDiscovery_get_DeviceID (const UpnpDiscovery *p)
int | UpnpDiscovery_set_DeviceID (UpnpDiscovery *p, const UpnpString *s)
size_t | UpnpDiscovery_get_DeviceID_Length (const UpnpDiscovery *p)
const char * | UpnpDiscovery_get_DeviceID_cstr (const UpnpDiscovery *p)
int | UpnpDiscovery_strcpy_DeviceID (UpnpDiscovery *p, const char *s)
int | UpnpDiscovery_strncpy_DeviceID (UpnpDiscovery *p, const char *s, size_t n)
void | UpnpDiscovery_clear_DeviceID (UpnpDiscovery *p)
const UpnpString * | UpnpDiscovery_get_DeviceType (const UpnpDiscovery *p)
int | UpnpDiscovery_set_DeviceType (UpnpDiscovery *p, const UpnpString *s)
size_t | UpnpDiscovery_get_DeviceType_Length (const UpnpDiscovery *p)
const char * | UpnpDiscovery_get_DeviceType_cstr (const UpnpDiscovery *p)
int | UpnpDiscovery_strcpy_DeviceType (UpnpDiscovery *p, const char *s)
int | UpnpDiscovery_strncpy_DeviceType (UpnpDiscovery *p, const char *s, size_t n)
void | UpnpDiscovery_clear_DeviceType (UpnpDiscovery *p)
const UpnpString * | UpnpDiscovery_get_ServiceType (const UpnpDiscovery *p)
int | UpnpDiscovery_set_ServiceType (UpnpDiscovery *p, const UpnpString *s)
size_t | UpnpDiscovery_get_ServiceType_Length (const UpnpDiscovery *p)
const char * | UpnpDiscovery_get_ServiceType_cstr (const UpnpDiscovery *p)
int | UpnpDiscovery_strcpy_ServiceType (UpnpDiscovery *p, const char *s)
int | UpnpDiscovery_strncpy_ServiceType (UpnpDiscovery *p, const char *s, size_t n)
void | UpnpDiscovery_clear_ServiceType (UpnpDiscovery *p)
const UpnpString * | UpnpDiscovery_get_ServiceVer (const UpnpDiscovery *p)
int | UpnpDiscovery_set_ServiceVer (UpnpDiscovery *p, const UpnpString *s)
size_t | UpnpDiscovery_get_ServiceVer_Length (const UpnpDiscovery *p)
const char * | UpnpDiscovery_get_ServiceVer_cstr (const UpnpDiscovery *p)
int | UpnpDiscovery_strcpy_ServiceVer (UpnpDiscovery *p, const char *s)
int | UpnpDiscovery_strncpy_ServiceVer (UpnpDiscovery *p, const char *s, size_t n)
void | UpnpDiscovery_clear_ServiceVer (UpnpDiscovery *p)
const UpnpString * | UpnpDiscovery_get_Location (const UpnpDiscovery *p)
int | UpnpDiscovery_set_Location (UpnpDiscovery *p, const UpnpString *s)
size_t | UpnpDiscovery_get_Location_Length (const UpnpDiscovery *p)
const char * | UpnpDiscovery_get_Location_cstr (const UpnpDiscovery *p)
int | UpnpDiscovery_strcpy_Location (UpnpDiscovery *p, const char *s)
int | UpnpDiscovery_strncpy_Location (UpnpDiscovery *p, const char *s, size_t n)
void | UpnpDiscovery_clear_Location (UpnpDiscovery *p)
const UpnpString * | UpnpDiscovery_get_Os (const UpnpDiscovery *p)
int | UpnpDiscovery_set_Os (UpnpDiscovery *p, const UpnpString *s)
size_t | UpnpDiscovery_get_Os_Length (const UpnpDiscovery *p)
const char * | UpnpDiscovery_get_Os_cstr (const UpnpDiscovery *p)
int | UpnpDiscovery_strcpy_Os (UpnpDiscovery *p, const char *s)
int | UpnpDiscovery_strncpy_Os (UpnpDiscovery *p, const char *s, size_t n)
void | UpnpDiscovery_clear_Os (UpnpDiscovery *p)
const UpnpString * | UpnpDiscovery_get_Date (const UpnpDiscovery *p)
int | UpnpDiscovery_set_Date (UpnpDiscovery *p, const UpnpString *s)
size_t | UpnpDiscovery_get_Date_Length (const UpnpDiscovery *p)
const char * | UpnpDiscovery_get_Date_cstr (const UpnpDiscovery *p)
int | UpnpDiscovery_strcpy_Date (UpnpDiscovery *p, const char *s)
int | UpnpDiscovery_strncpy_Date (UpnpDiscovery *p, const char *s, size_t n)
void | UpnpDiscovery_clear_Date (UpnpDiscovery *p)
const UpnpString * | UpnpDiscovery_get_Ext (const UpnpDiscovery *p)
int | UpnpDiscovery_set_Ext (UpnpDiscovery *p, const UpnpString *s)
size_t | UpnpDiscovery_get_Ext_Length (const UpnpDiscovery *p)
const char * | UpnpDiscovery_get_Ext_cstr (const UpnpDiscovery *p)
int | UpnpDiscovery_strcpy_Ext (UpnpDiscovery *p, const char *s)
int | UpnpDiscovery_strncpy_Ext (UpnpDiscovery *p, const char *s, size_t n)
void | UpnpDiscovery_clear_Ext (UpnpDiscovery *p)
const struct sockaddr_storage * | UpnpDiscovery_get_DestAddr (const UpnpDiscovery *p)
int | UpnpDiscovery_set_DestAddr (UpnpDiscovery *p, const struct sockaddr_storage *buf)
void | UpnpDiscovery_clear_DestAddr (UpnpDiscovery *p)

## Detailed Description

Header file for UpnpDiscovery methods.

Do not edit this file, it is automatically generated. Please look at generator.c.

Author
  Marcelo Roberto Jimenez

## Typedef Documentation

## UpnpDiscovery

typedef struct s_UpnpDiscovery UpnpDiscovery

UpnpDiscovery

## Function Documentation

## UpnpDiscovery_assign()

int UpnpDiscovery_assign | ( | UpnpDiscovery * | p,
|  | const UpnpDiscovery * | q
| ) |  |

Assignment operator

References UpnpDiscovery_get_Date(), UpnpDiscovery_get_DestAddr(), UpnpDiscovery_get_DeviceID(), UpnpDiscovery_get_DeviceType(), UpnpDiscovery_get_ErrCode(), UpnpDiscovery_get_Expires(), UpnpDiscovery_get_Ext(), UpnpDiscovery_get_Location(), UpnpDiscovery_get_Os(), UpnpDiscovery_get_ServiceType(), UpnpDiscovery_get_ServiceVer(), UpnpDiscovery_set_Date(), UpnpDiscovery_set_DestAddr(), UpnpDiscovery_set_DeviceID(), UpnpDiscovery_set_DeviceType(), UpnpDiscovery_set_ErrCode(), UpnpDiscovery_set_Expires(), UpnpDiscovery_set_Ext(), UpnpDiscovery_set_Location(), UpnpDiscovery_set_Os(), UpnpDiscovery_set_ServiceType(), and UpnpDiscovery_set_ServiceVer().

Referenced by UpnpDiscovery_dup().

## UpnpDiscovery_clear_Date()

void UpnpDiscovery_clear_Date | ( | UpnpDiscovery * | p | ) |

UpnpDiscovery_clear_Date

References UpnpString_clear().

## UpnpDiscovery_clear_DestAddr()

void UpnpDiscovery_clear_DestAddr | ( | UpnpDiscovery * | p | ) |

UpnpDiscovery_get_DestAddr

## UpnpDiscovery_clear_DeviceID()

void UpnpDiscovery_clear_DeviceID | ( | UpnpDiscovery * | p | ) |

UpnpDiscovery_clear_DeviceID

References UpnpString_clear().

## UpnpDiscovery_clear_DeviceType()

void UpnpDiscovery_clear_DeviceType | ( | UpnpDiscovery * | p | ) |

UpnpDiscovery_clear_DeviceType

References UpnpString_clear().

## UpnpDiscovery_clear_Ext()

void UpnpDiscovery_clear_Ext | ( | UpnpDiscovery * | p | ) |

UpnpDiscovery_clear_Ext

References UpnpString_clear().

## UpnpDiscovery_clear_Location()

void UpnpDiscovery_clear_Location | ( | UpnpDiscovery * | p | ) |

UpnpDiscovery_clear_Location

References UpnpString_clear().

## UpnpDiscovery_clear_Os()

void UpnpDiscovery_clear_Os | ( | UpnpDiscovery * | p | ) |

UpnpDiscovery_clear_Os

References UpnpString_clear().

## UpnpDiscovery_clear_ServiceType()

void UpnpDiscovery_clear_ServiceType | ( | UpnpDiscovery * | p | ) |

UpnpDiscovery_clear_ServiceType

References UpnpString_clear().

## UpnpDiscovery_clear_ServiceVer()

void UpnpDiscovery_clear_ServiceVer | ( | UpnpDiscovery * | p | ) |

UpnpDiscovery_clear_ServiceVer

References UpnpString_clear().

## UpnpDiscovery_delete()

void UpnpDiscovery_delete | ( | UpnpDiscovery * | p | ) |

Destructor

References UpnpString_delete().

Referenced by ssdp_handle_ctrlpt_msg(), SSDPResultData_delete(), and SSDPResultData_set_Param().

## UpnpDiscovery_dup()

UpnpDiscovery * UpnpDiscovery_dup | ( | const UpnpDiscovery * | p | ) |

Copy Constructor

References UpnpDiscovery_assign(), and UpnpDiscovery_new().

Referenced by SSDPResultData_set_Param().

## UpnpDiscovery_get_Date()

const UpnpString * UpnpDiscovery_get_Date | ( | const UpnpDiscovery * | p | ) |

UpnpDiscovery_get_Date

Referenced by SampleUtil_PrintEvent(), UpnpDiscovery_assign(), UpnpDiscovery_get_Date_cstr(), and UpnpDiscovery_get_Date_Length().

## UpnpDiscovery_get_Date_cstr()

const char * UpnpDiscovery_get_Date_cstr | ( | const UpnpDiscovery * | p | ) |

UpnpDiscovery_get_Date_cstr

References UpnpDiscovery_get_Date(), and UpnpString_get_String().

## UpnpDiscovery_get_Date_Length()

size_t UpnpDiscovery_get_Date_Length | ( | const UpnpDiscovery * | p | ) |

UpnpDiscovery_get_Date_Length

References UpnpDiscovery_get_Date(), and UpnpString_get_Length().

## UpnpDiscovery_get_DestAddr()

const struct sockaddr_storage * UpnpDiscovery_get_DestAddr | ( | const UpnpDiscovery * | p | ) |

UpnpDiscovery_get_DestAddr

Referenced by UpnpDiscovery_assign().

## UpnpDiscovery_get_DeviceID()

const UpnpString * UpnpDiscovery_get_DeviceID | ( | const UpnpDiscovery * | p | ) |

UpnpDiscovery_get_DeviceID

Referenced by SampleUtil_PrintEvent(), UpnpDiscovery_assign(), UpnpDiscovery_get_DeviceID_cstr(), and UpnpDiscovery_get_DeviceID_Length().

## UpnpDiscovery_get_DeviceID_cstr()

const char * UpnpDiscovery_get_DeviceID_cstr | ( | const UpnpDiscovery * | p | ) |

UpnpDiscovery_get_DeviceID_cstr

References UpnpDiscovery_get_DeviceID(), and UpnpString_get_String().

## UpnpDiscovery_get_DeviceID_Length()

size_t UpnpDiscovery_get_DeviceID_Length | ( | const UpnpDiscovery * | p | ) |

UpnpDiscovery_get_DeviceID_Length

References UpnpDiscovery_get_DeviceID(), and UpnpString_get_Length().

## UpnpDiscovery_get_DeviceType()

const UpnpString * UpnpDiscovery_get_DeviceType | ( | const UpnpDiscovery * | p | ) |

UpnpDiscovery_get_DeviceType

Referenced by SampleUtil_PrintEvent(), UpnpDiscovery_assign(), UpnpDiscovery_get_DeviceType_cstr(), and UpnpDiscovery_get_DeviceType_Length().

## UpnpDiscovery_get_DeviceType_cstr()

const char * UpnpDiscovery_get_DeviceType_cstr | ( | const UpnpDiscovery * | p | ) |

UpnpDiscovery_get_DeviceType_cstr

References UpnpDiscovery_get_DeviceType(), and UpnpString_get_String().

## UpnpDiscovery_get_DeviceType_Length()

size_t UpnpDiscovery_get_DeviceType_Length | ( | const UpnpDiscovery * | p | ) |

UpnpDiscovery_get_DeviceType_Length

References UpnpDiscovery_get_DeviceType(), and UpnpString_get_Length().

## UpnpDiscovery_get_ErrCode()

int UpnpDiscovery_get_ErrCode | ( | const UpnpDiscovery * | p | ) |

UpnpDiscovery_get_ErrCode

Referenced by SampleUtil_PrintEvent(), and UpnpDiscovery_assign().

## UpnpDiscovery_get_Expires()

int UpnpDiscovery_get_Expires | ( | const UpnpDiscovery * | p | ) |

UpnpDiscovery_get_Expires

Referenced by SampleUtil_PrintEvent(), ssdp_handle_ctrlpt_msg(), and UpnpDiscovery_assign().

## UpnpDiscovery_get_Ext()

const UpnpString * UpnpDiscovery_get_Ext | ( | const UpnpDiscovery * | p | ) |

UpnpDiscovery_get_Ext

Referenced by SampleUtil_PrintEvent(), UpnpDiscovery_assign(), UpnpDiscovery_get_Ext_cstr(), and UpnpDiscovery_get_Ext_Length().

## UpnpDiscovery_get_Ext_cstr()

const char * UpnpDiscovery_get_Ext_cstr | ( | const UpnpDiscovery * | p | ) |

UpnpDiscovery_get_Ext_cstr

References UpnpDiscovery_get_Ext(), and UpnpString_get_String().

## UpnpDiscovery_get_Ext_Length()

size_t UpnpDiscovery_get_Ext_Length | ( | const UpnpDiscovery * | p | ) |

UpnpDiscovery_get_Ext_Length

References UpnpDiscovery_get_Ext(), and UpnpString_get_Length().

## UpnpDiscovery_get_Location()

const UpnpString * UpnpDiscovery_get_Location | ( | const UpnpDiscovery * | p | ) |

UpnpDiscovery_get_Location

Referenced by SampleUtil_PrintEvent(), ssdp_handle_ctrlpt_msg(), UpnpDiscovery_assign(), UpnpDiscovery_get_Location_cstr(), and UpnpDiscovery_get_Location_Length().

## UpnpDiscovery_get_Location_cstr()

const char * UpnpDiscovery_get_Location_cstr | ( | const UpnpDiscovery * | p | ) |

UpnpDiscovery_get_Location_cstr

References UpnpDiscovery_get_Location(), and UpnpString_get_String().

## UpnpDiscovery_get_Location_Length()

size_t UpnpDiscovery_get_Location_Length | ( | const UpnpDiscovery * | p | ) |

UpnpDiscovery_get_Location_Length

References UpnpDiscovery_get_Location(), and UpnpString_get_Length().

## UpnpDiscovery_get_Os()

const UpnpString * UpnpDiscovery_get_Os | ( | const UpnpDiscovery * | p | ) |

UpnpDiscovery_get_Os

Referenced by SampleUtil_PrintEvent(), UpnpDiscovery_assign(), UpnpDiscovery_get_Os_cstr(), and UpnpDiscovery_get_Os_Length().

## UpnpDiscovery_get_Os_cstr()

const char * UpnpDiscovery_get_Os_cstr | ( | const UpnpDiscovery * | p | ) |

UpnpDiscovery_get_Os_cstr

References UpnpDiscovery_get_Os(), and UpnpString_get_String().

## UpnpDiscovery_get_Os_Length()

size_t UpnpDiscovery_get_Os_Length | ( | const UpnpDiscovery * | p | ) |

UpnpDiscovery_get_Os_Length

References UpnpDiscovery_get_Os(), and UpnpString_get_Length().

## UpnpDiscovery_get_ServiceType()

const UpnpString * UpnpDiscovery_get_ServiceType | ( | const UpnpDiscovery * | p | ) |

UpnpDiscovery_get_ServiceType

Referenced by SampleUtil_PrintEvent(), UpnpDiscovery_assign(), UpnpDiscovery_get_ServiceType_cstr(), and UpnpDiscovery_get_ServiceType_Length().

## UpnpDiscovery_get_ServiceType_cstr()

const char * UpnpDiscovery_get_ServiceType_cstr | ( | const UpnpDiscovery * | p | ) |

UpnpDiscovery_get_ServiceType_cstr

References UpnpDiscovery_get_ServiceType(), and UpnpString_get_String().

## UpnpDiscovery_get_ServiceType_Length()

size_t UpnpDiscovery_get_ServiceType_Length | ( | const UpnpDiscovery * | p | ) |

UpnpDiscovery_get_ServiceType_Length

References UpnpDiscovery_get_ServiceType(), and UpnpString_get_Length().

## UpnpDiscovery_get_ServiceVer()

const UpnpString * UpnpDiscovery_get_ServiceVer | ( | const UpnpDiscovery * | p | ) |

UpnpDiscovery_get_ServiceVer

Referenced by SampleUtil_PrintEvent(), UpnpDiscovery_assign(), UpnpDiscovery_get_ServiceVer_cstr(), and UpnpDiscovery_get_ServiceVer_Length().

## UpnpDiscovery_get_ServiceVer_cstr()

const char * UpnpDiscovery_get_ServiceVer_cstr | ( | const UpnpDiscovery * | p | ) |

UpnpDiscovery_get_ServiceVer_cstr

References UpnpDiscovery_get_ServiceVer(), and UpnpString_get_String().

## UpnpDiscovery_get_ServiceVer_Length()

size_t UpnpDiscovery_get_ServiceVer_Length | ( | const UpnpDiscovery * | p | ) |

UpnpDiscovery_get_ServiceVer_Length

References UpnpDiscovery_get_ServiceVer(), and UpnpString_get_Length().

## UpnpDiscovery_new()

UpnpDiscovery * UpnpDiscovery_new | ( |  | ) |

Constructor

References UpnpString_new().

Referenced by ssdp_handle_ctrlpt_msg(), SSDPResultData_new(), and UpnpDiscovery_dup().

## UpnpDiscovery_set_Date()

int UpnpDiscovery_set_Date | ( | UpnpDiscovery * | p,
|  | const UpnpString * | s
| ) |  |

UpnpDiscovery_set_Date

References UpnpString_get_String(), and UpnpString_set_String().

Referenced by UpnpDiscovery_assign().

## UpnpDiscovery_set_DestAddr()

int UpnpDiscovery_set_DestAddr | ( | UpnpDiscovery * | p,
|  | const struct sockaddr_storage * | buf
| ) |  |

UpnpDiscovery_get_DestAddr

Referenced by ssdp_handle_ctrlpt_msg(), and UpnpDiscovery_assign().

## UpnpDiscovery_set_DeviceID()

int UpnpDiscovery_set_DeviceID | ( | UpnpDiscovery * | p,
|  | const UpnpString * | s
| ) |  |

UpnpDiscovery_set_DeviceID

References UpnpString_get_String(), and UpnpString_set_String().

Referenced by UpnpDiscovery_assign().

## UpnpDiscovery_set_DeviceType()

int UpnpDiscovery_set_DeviceType | ( | UpnpDiscovery * | p,
|  | const UpnpString * | s
| ) |  |

UpnpDiscovery_set_DeviceType

References UpnpString_get_String(), and UpnpString_set_String().

Referenced by UpnpDiscovery_assign().

## UpnpDiscovery_set_ErrCode()

int UpnpDiscovery_set_ErrCode | ( | UpnpDiscovery * | p,
|  | int | n
| ) |  |

UpnpDiscovery_set_ErrCode

Referenced by ssdp_handle_ctrlpt_msg(), and UpnpDiscovery_assign().

## UpnpDiscovery_set_Expires()

int UpnpDiscovery_set_Expires | ( | UpnpDiscovery * | p,
|  | int | n
| ) |  |

UpnpDiscovery_set_Expires

Referenced by ssdp_handle_ctrlpt_msg(), and UpnpDiscovery_assign().

## UpnpDiscovery_set_Ext()

int UpnpDiscovery_set_Ext | ( | UpnpDiscovery * | p,
|  | const UpnpString * | s
| ) |  |

UpnpDiscovery_set_Ext

References UpnpString_get_String(), and UpnpString_set_String().

Referenced by UpnpDiscovery_assign().

## UpnpDiscovery_set_Location()

int UpnpDiscovery_set_Location | ( | UpnpDiscovery * | p,
|  | const UpnpString * | s
| ) |  |

UpnpDiscovery_set_Location

References UpnpString_get_String(), and UpnpString_set_String().

Referenced by UpnpDiscovery_assign().

## UpnpDiscovery_set_Os()

int UpnpDiscovery_set_Os | ( | UpnpDiscovery * | p,
|  | const UpnpString * | s
| ) |  |

UpnpDiscovery_set_Os

References UpnpString_get_String(), and UpnpString_set_String().

Referenced by UpnpDiscovery_assign().

## UpnpDiscovery_set_ServiceType()

int UpnpDiscovery_set_ServiceType | ( | UpnpDiscovery * | p,
|  | const UpnpString * | s
| ) |  |

UpnpDiscovery_set_ServiceType

References UpnpString_get_String(), and UpnpString_set_String().

Referenced by UpnpDiscovery_assign().

## UpnpDiscovery_set_ServiceVer()

int UpnpDiscovery_set_ServiceVer | ( | UpnpDiscovery * | p,
|  | const UpnpString * | s
| ) |  |

UpnpDiscovery_set_ServiceVer

References UpnpString_get_String(), and UpnpString_set_String().

Referenced by UpnpDiscovery_assign().

## UpnpDiscovery_strcpy_Date()

int UpnpDiscovery_strcpy_Date | ( | UpnpDiscovery * | p,
|  | const char * | s
| ) |  |

UpnpDiscovery_strcpy_Date

References UpnpString_set_String().

Referenced by ssdp_handle_ctrlpt_msg().

## UpnpDiscovery_strcpy_DeviceID()

int UpnpDiscovery_strcpy_DeviceID | ( | UpnpDiscovery * | p,
|  | const char * | s
| ) |  |

UpnpDiscovery_strcpy_DeviceID

References UpnpString_set_String().

Referenced by ssdp_handle_ctrlpt_msg().

## UpnpDiscovery_strcpy_DeviceType()

int UpnpDiscovery_strcpy_DeviceType | ( | UpnpDiscovery * | p,
|  | const char * | s
| ) |  |

UpnpDiscovery_strcpy_DeviceType

References UpnpString_set_String().

Referenced by ssdp_handle_ctrlpt_msg().

## UpnpDiscovery_strcpy_Ext()

int UpnpDiscovery_strcpy_Ext | ( | UpnpDiscovery * | p,
|  | const char * | s
| ) |  |

UpnpDiscovery_strcpy_Ext

References UpnpString_set_String().

## UpnpDiscovery_strcpy_Location()

int UpnpDiscovery_strcpy_Location | ( | UpnpDiscovery * | p,
|  | const char * | s
| ) |  |

UpnpDiscovery_strcpy_Location

References UpnpString_set_String().

## UpnpDiscovery_strcpy_Os()

int UpnpDiscovery_strcpy_Os | ( | UpnpDiscovery * | p,
|  | const char * | s
| ) |  |

UpnpDiscovery_strcpy_Os

References UpnpString_set_String().

## UpnpDiscovery_strcpy_ServiceType()

int UpnpDiscovery_strcpy_ServiceType | ( | UpnpDiscovery * | p,
|  | const char * | s
| ) |  |

UpnpDiscovery_strcpy_ServiceType

References UpnpString_set_String().

Referenced by ssdp_handle_ctrlpt_msg().

## UpnpDiscovery_strcpy_ServiceVer()

int UpnpDiscovery_strcpy_ServiceVer | ( | UpnpDiscovery * | p,
|  | const char * | s
| ) |  |

UpnpDiscovery_strcpy_ServiceVer

References UpnpString_set_String().

## UpnpDiscovery_strncpy_Date()

int UpnpDiscovery_strncpy_Date | ( | UpnpDiscovery * | p,
|  | const char * | s,
|  | size_t | n
| ) |  |

UpnpDiscovery_strncpy_Date

References UpnpString_set_StringN().

## UpnpDiscovery_strncpy_DeviceID()

int UpnpDiscovery_strncpy_DeviceID | ( | UpnpDiscovery * | p,
|  | const char * | s,
|  | size_t | n
| ) |  |

UpnpDiscovery_strncpy_DeviceID

References UpnpString_set_StringN().

## UpnpDiscovery_strncpy_DeviceType()

int UpnpDiscovery_strncpy_DeviceType | ( | UpnpDiscovery * | p,
|  | const char * | s,
|  | size_t | n
| ) |  |

UpnpDiscovery_strncpy_DeviceType

References UpnpString_set_StringN().

## UpnpDiscovery_strncpy_Ext()

int UpnpDiscovery_strncpy_Ext | ( | UpnpDiscovery * | p,
|  | const char * | s,
|  | size_t | n
| ) |  |

UpnpDiscovery_strncpy_Ext

References UpnpString_set_StringN().

Referenced by ssdp_handle_ctrlpt_msg().

## UpnpDiscovery_strncpy_Location()

int UpnpDiscovery_strncpy_Location | ( | UpnpDiscovery * | p,
|  | const char * | s,
|  | size_t | n
| ) |  |

UpnpDiscovery_strncpy_Location

References UpnpString_set_StringN().

Referenced by ssdp_handle_ctrlpt_msg().

## UpnpDiscovery_strncpy_Os()

int UpnpDiscovery_strncpy_Os | ( | UpnpDiscovery * | p,
|  | const char * | s,
|  | size_t | n
| ) |  |

UpnpDiscovery_strncpy_Os

References UpnpString_set_StringN().

Referenced by ssdp_handle_ctrlpt_msg().

## UpnpDiscovery_strncpy_ServiceType()

int UpnpDiscovery_strncpy_ServiceType | ( | UpnpDiscovery * | p,
|  | const char * | s,
|  | size_t | n
| ) |  |

UpnpDiscovery_strncpy_ServiceType

References UpnpString_set_StringN().

## UpnpDiscovery_strncpy_ServiceVer()

int UpnpDiscovery_strncpy_ServiceVer | ( | UpnpDiscovery * | p,
|  | const char * | s,
|  | size_t | n
| ) |  |

UpnpDiscovery_strncpy_ServiceVer

References UpnpString_set_StringN().